#!/bin/sh

# build depends
export CFLAGS="-march=i486 -mtune=i686 -Os -pipe"
export CXXFLAGS="-march=i486 -mtune=i686 -Os -pipe"
export LDFLAGS="-Wl,-O1"
tce-load -i compiletc submitqc4 wget
tce-load -i dbus-dev perl5 cups cups-dev 


# some conventions borrowed from minefield18 build script
TCZNAME="foomatic-rip"
USRLOCAL="/usr/local"
UNPACK="foomatic-filters-4.0-2013*"

# start
cd /tmp
$USRLOCAL/bin/wget -nc http://www.openprinting.org/download/foomatic/foomatic-filters-4.0-current.tar.gz
tar xvf foomatic-filters-4.0-current.tar.gz
cd $UNPACK
./configure --prefix=$USRLOCAL 
make -j3
make DESTDIR=/tmp/$TCZNAME install


# dev
######
cd /tmp
mkdir -p $TCZNAME-dev$USRLOCAL/include
cp $UNPACK/*.h $TCZNAME-dev$USRLOCAL/include/

mksquashfs $TCZNAME-dev $TCZNAME-dev.tcz
md5sum $TCZNAME-dev.tcz > $TCZNAME-dev.tcz.md5.txt
cd $TCZNAME-dev
find usr -not -type d > $TCZNAME-dev.tcz.list
mv -f $TCZNAME-dev.tcz.list /tmp


# main
#######
cd /tmp
# manpage is small leave in

# there are sym links
ls -al $TCZNAME/usr/lib/ppr/interfaces
ls -al $TCZNAME/usr/lib/ppr/lib

# a file is useful to the user
mkdir -p $TCZNAME/$USRLOCAL/share/doc/$TCZNAME
cp $UNPACK/USAGE $TCZNAME/$USRLOCAL/share/doc/$TCZNAME

mksquashfs $TCZNAME $TCZNAME.tcz
md5sum $TCZNAME.tcz > $TCZNAME.tcz.md5.txt
cd $TCZNAME
find usr -not -type d > $TCZNAME.tcz.list
mv -f $TCZNAME.tcz.list /tmp

######### finish
cd /tmp
sudo submitqc4
